
Name:	 frobby
Summary: Computations With Monomial Ideals
Version: 0.9.0
Release: 7%{?dist}

License: GPLv2+
URL:	 http://www.broune.com/frobby/
Source0: http://www.broune.com/frobby/frobby_v%{version}.tar.gz

# make makefile a wee bit more sane
Patch1: frobby-0.9.0-makefile.patch
# https://raw.githubusercontent.com/Macaulay2/M2/master/M2/libraries/frobby/patch-0.9.0
Patch2: frobby-0.9.0-Macaulay2.patch

BuildRequires: doxygen
BuildRequires: gmp-devel
# docs
BuildRequires: tex(latex)

%description
Frobby is a software system and project for computations with monomial
ideals. Frobby is free software and it is intended as a vehicle for
research on monomial ideals, as well as a useful practical tool for
investigating monomial ideals.

The current functionality includes Hilbert series, maximal standard
monomials, combinatorial optimization on monomial ideals, primary
decomposition, irreducible decomposition, Alexander dual, associated
primes, minimization and intersection of monomial ideals as well as
the computation of Frobenius problems (using 4ti2) with very large
numbers. Frobby is also able to translate between formats that can be used
with several different computer systems, such as Macaulay 2, Monos, 4ti2,
CoCoA4 and Singular. Thus Frobby can be used with any of those systems.


%prep
%setup -q -n frobby_v%{version}

# W: spurious-executable-perm /usr/share/doc/frobby/COPYING
chmod -x COPYING

%patch1 -p1 -b .makefile
%patch2 -p1 -b .Macaulay2


%build
make %{?_smp_mflags} \
  BIN_INSTALL_DIR=%{_bindir} \
  CFLAGS="${CFLAGS:-%optflags}" \
  GMP_INC_DIR=%{_includedir} \
  LDFLAGS="${LDFLAGS:-%__global_ldflags}" \
  MODE=shared

# generate docs
make docPdf


%install
mkdir -p %{buildroot}
make install BIN_INSTALL_DIR=%{buildroot}%{_bindir}


%check
test/runTests


%files
%doc COPYING
%doc bin/manual.pdf
%{_bindir}/frobby


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.9.0-5
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jul 07 2014 Rex Dieter <rdieter@fedoraproject.org> 0.9.0-3
- fix W: spurious-executable-perm /usr/share/doc/frobby/COPYING

* Mon Jun 23 2014 Rex Dieter <rdieter@fedoraproject.org> 0.9.0-2
- explicitly set CFLAGS, LDFLAGS

* Mon Jun 23 2014 Rex Dieter <rdieter@fedoraproject.org> 0.9.0-1
- frobby-0.9.0

* Thu May 26 2011 Rex Dieter <rdieter@fedoraproject.org> 0.8.2-1
- first try

